Name:		plasma-applet-simplewelcome
Version:	2.0.0
Release:	%mkrel 1
Summary:	KDE Application Launcher developed by ROSA Desktop
Group:		Graphical desktop/KDE
License:	GPLv3
URL:		http://wiki.rosalab.ru/en/index.php/What_is_SimpleWelcome
Source0:	rosa-launcher-%version.tar.xz
Patch0:		simplewelcome-2.0.0-button.patch
Patch1:		simplewelcome-2.0.0-desktop.patch
BuildRequires: 	kdelibs-devel
BuildRequires:  kde-workspace-devel
Requires:	kde-runtime
Requires:	desktop-common-data

%description
SimpleWelcome is a KDE Application Launcher developed by ROSA Desktop. 


%prep
rm -rf %{buildroot}
%setup -q -n rosa-launcher-%version
%apply_patches

%build
%cmake_kde4

%install
%makeinstall_std -C build
%find_lang ROSA_Launcher

%files -f ROSA_Launcher.lang
%defattr(-,root,root)
%{_kde_bindir}/rosa-launcher
%{_kde_libdir}/kde4/plasma_applet_rosastarter.so
%{_kde_libdir}/libtimeframe.so
%{_kde_datadir}/kde4/services/plasma-applet-rosastarter.desktop
%{_kde_datadir}/rosa-launcher
%{_kde_datadir}/timeframe



%changelog
* Tue Nov 12 2013 travisn000 <*myusername* at gmail dot com> 2.0.0-1pclos2013
- imported package plasma-applet-simplewelcome from Mageia
- disabled patch to change icons, but left in SRPM for ease of theming if wanted
- install app icon in %{iconsdir}, and use %find_lang macro for localization

